> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch recent communication logs for a Contact

> Returns a concise newest-first activity index without full transcripts. Logs with roomId and uuid include conversationRef for the existing conversation-detail API.



## OpenAPI

````yaml get /api/v2/contact/{contactId}/logs
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/contact/{contactId}/logs:
    get:
      tags:
        - Contacts
      summary: Fetch recent communication logs for a Contact
      description: >-
        Returns a concise newest-first activity index without full transcripts.
        Logs with roomId and uuid include conversationRef for the existing
        conversation-detail API.
      parameters:
        - name: contactId
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          description: One-based page number.
          schema:
            type: integer
        - name: pageSize
          in: query
          description: Page size, capped at 100.
          schema:
            type: integer
        - name: start
          in: query
          description: Unix timestamp; defaults to 90 days before end.
          schema:
            type: integer
        - name: end
          in: query
          description: Unix timestamp; defaults to now.
          schema:
            type: integer
        - name: type
          in: query
          description: Exact log type.
          schema:
            type: string
        - name: eventType
          in: query
          description: Exact eventType.
          schema:
            type: string
        - name: direction
          in: query
          description: Exact inbound or outbound direction.
          schema:
            type: string
      responses:
        default:
          description: ''
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````